
package de.ivu.elect.presentation.kandidatur.menu;

public abstract class AbstractListenkandidaturCreateMenuItemEntry extends AbstractListenkandidaturMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public AbstractListenkandidaturCreateMenuItemEntry() {
    super();
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMessage(getEntityEinzahlMessageKey()));
  }

  protected abstract String getEntityEinzahlMessageKey();

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }
}
